Bug 313031 - Substandard .desktop file (patch against latest SVN attached) + XDG autostart problem
Substandard .desktop file (patch against latest SVN attached) + XDG autostart...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-30 08:50 EDT by Stéphane Loeuillet
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-01 15:07:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Should fix .desktop problems + use XDG directory instead of gnome-only one (1.37 KB, patch)
2007-09-30 08:50 EDT, Stéphane Loeuillet
no flags Details | Diff

  None (edit)
Description Stéphane Loeuillet 2007-09-30 08:50:31 EDT
Description of problem:
network-manager-applet has a .desktop file used for autostart.
It is substandard (in respect to fd.o desktop entry files specs) and misplaced
(irt fd.o autostart specs)

-Encoding=UTF-8 <= deprecated as any .desktop file should be valid UTF-8
-Categories= <= no point for an empty value as it is only used by .desktop files
in $(datadir}/applications/ (for menu display)

Use standard $(sysconfdir)/xdg/autostart/ instead of old deprecated gnome-only
version $(datadir)/gnome/autostart

Patch that would place misplaced .desktop file to the fd.o
mandated standard directory.

http://standards.freedesktop.org/autostart-spec/autostart-spec-latest.html#id2452086

Actually on Ubuntu Gutsy :
/usr/share/autostart/ : empty (really old location)
/usr/share/gnome/autostart/ : 3 files (g-c-c, empathy, nm-applet) => old
gnomeonly
/etc/xdg/autostart/ : 11 files

Version-Release number of selected component (if applicable):
0.6*/gnome SVN trunk

How reproducible:
Everytime (specs compliance problems)

Steps to Reproduce:
1. desktop-file-validate /usr/share/gnome/autostart/nm-applet.desktop
2. ls -l ls -l /usr/share/autostart/ /usr/share/gnome/autostart/ /etc/xdg/autostart/
Comment 1 Stéphane Loeuillet 2007-09-30 08:50:31 EDT
Created attachment 211701 [details]
Should fix .desktop problems + use XDG directory instead of gnome-only one
Comment 2 Dan Williams 2007-10-01 15:07:00 EDT
thanks, committed to upstream applet svn r212

Note You need to log in before you can comment on or make changes to this bug.